Supported Graphics Drivers on Linux

Unreal Engine 4 (UE4) requires compatible hardware and software support in order to run smoothly on your machine. In an effort to help you determine your ideal development environment, we're providing the following table of supported graphics drivers.

Manufacturer

Supported Graphics Driver Versions

Suggested Graphics Driver Version

NVIDIA

347.09 or newer

Note: 372.70 is not supported with UE4, Version 4.13.

4.10x

AMD

14.301.1001.0 or newer

Latest version of the AMDGPU-Pro Driver for Linux.

Intel

Latest version of Mesa for Intel.

Latest version of Mesa for Intel.

Graphics drivers are typically provided by manufacturers for testing and integration with UE4. If you want to get the most out of UE4 while maintaining hardware performance, please make sure to update your graphics driver appropriately.

NVIDIA Graphics Drivers

If you're running an NVIDIA graphics driver version older than version 347.09, consider updating your graphics driver to prevent your system from crashing while running the engine. Please refer back to our list of supported graphics drivers in order to verify that your graphics driver will work properly with the engine.

AMD Graphics Drivers

If you're running an AMD graphics driver version older than 14.301.1001.0, you should update your graphics driver to prevent your system from crashing while running the engine.

Intel Graphics Drivers

If your system has Mesa drivers, we recommend that you update your driver to be newer than Mesa 10.5.x.